Kunena 6.0.8 Released (17 Jan 2023)

The Kunena team has announce the arrival of Kunena 6.0.8 [K 6.0.8] which is now available for download as a native Joomla extension for J! 4.2.x. This version addresses most of the issues that were discovered in K 6.0 and issues discovered during the development stages of K 6.0.

Question [Merged topic]The great Mootools/Javascript conflict discussion

More
12 years 4 months ago #181 by sozzled
I looked at cclub's website. It uses Rockettheme template. Contact the folks at Rockettheme ; they can fix your problems for you. There may also be tips on this website that might help you, too.
The topic has been locked.
More
12 years 4 months ago #182 by cclubb
Thanks for your replies. It is a rockettheme template. I also tried using the default templates with every non-stock plugin/module disabled and the same issue occurs.

I have just reverted back to an older version of Kunena until I can find a solution. I spent at least 10 hours messing with this trying to get it to work already. I'll just pay someone to fix the issue when it's more "required" (ie. A final and proven version is released).
The topic has been locked.
More
12 years 4 months ago #183 by octet
1. Get the updated version of your theme from Rocket, but not just the theme, reinstall on a different domain or subdomain from the big package - launcher.
2. Install latest version of your components, start with Kunena 1.6RC3, do it one by one and always check that your forum still works perfectly after each installation
3. Same for the modules
4. After that import all the databases from the old site.
5. Copy all the images, videos, etc from old site.
6. Backup old site files and database.
7. Move the new created site in the old domain, do the changes in configuration.php and all other components where necessary, eg: JoomSocial

I guarantee you no more JS / mootools problems. BBCode bar and smileys work perfectly this way! I did this yesterday and all works superb!

Good luck!
The topic has been locked.
  • Nihil
  • Nihil's Avatar
  • Visitor
12 years 4 months ago - 12 years 4 months ago #184 by Nihil
Enabling Mootools put back the editing buttons, but now JCE isn't working when i try to write/edit articles. Yay.

Hrm. Looks like the Joomla update changed the default WYSIWYG editor. Set it to JCE and all is well.

Thanks for this thread!
Last edit: 12 years 4 months ago by Nihil.
The topic has been locked.
More
12 years 4 months ago #185 by F0l2saken
There are more than 20 people having this problem, moo tools 1.24 causes problems with just about anything in Joomla 1.5, Joomla 1.5 is intended for older versions, so almost every component or plugin that uses moo tools isn't going to work right when you use moo tools 1.24. They should of kept 1.24 for 1.6 and left the old version for joomla 1.5, it causes way too many problems.

I have the same problem, it's either enable mootools upgrade and get kunena to work right, or it's disable it, and have my entire site work correctly.

Let me add a few plugins/modules to the growing list that Kunena 1.6 will cause problems with now because of it's requirement to use moo tools 1.24

Jbolo Chat
Roknavmenu (Does not work with mootools upgrade)
GK modules like news sho pro and image show

I could go on and on, it has nothing to do with SEF programs, nothign to do with reinstalling your site, it has to do with enabling the moo tools upgrade. Joomla NEVER should of included this in 1.5 they should of kept it with 1.6.

Kunena is a great forum, but I believe the decision to force using moo tools 1.24 is a very poor decision. This is one of the most popular threads on this site, and I'm guaranteeing you way more than 20 people are having problems with it, there are a lot of people that have the problem and don't report it..
The topic has been locked.
More
12 years 4 months ago #186 by sozzled
We could have a wonderful debate about the virtues of Mootools 1.2.4. Some people seem insistent on hijacking this topic and using it as a platform to have that debate.

The Mootools 1.2.4 Javascript library is required to deliver the full richness of the features delivered in K 1.6. If users don't want that feature-rich experience then they can continue to use K 1.5.

We have shown on several occasions in this discussion topic how to overcome the problems caused by other Joomla extensions - extensions that are not fully Mootools 1.2.4 compliant - in order to fix problems that uses are having with K 1.6.

We ask people to consider, before installing K 1.6 on a live production website, make sure that it works first on a test site.

For those users who are going to go back to K 1.5 to "await further developments" I will say that you will probably be waiting a long time. The basis upon which K 1.6 has been built and the deployment of K 1.6's features will not be substantially changing between now and when K 1.6 is released as a production version. People should use this time now not to wait in the hope that there will be some miracle cure for every problem that could exist; they should use this time to plan a migration strategy to move forward and to move ahead.

No-one is insisting that K 1.6 must be used. No-one is pressuring anyone to upgrade. These are matters of individual choice and preference. Our task is to help people as much as we can in making wise and well-informed choices. Our task is not to criticise people for unwise choices nor to use this forum as a way to campaign about the foresight of those who have contributed to Joomla, either.

I understand the emotional undercurrent riding through many contributions to this topic. We must resist the temptation to panic, too. The problems discussed in this topic can all be solved; they just require a bit of work. If people genuinely want to work through the issues, I have every confidence that every one of these problems can be solved. There is a lot of goodwill here to help. If, however, people dig in their heels and want to play hard-ball - if people are going to be obdurate and not be prepared to make some concessions - then we're never going to make any progress. So, how about it, huh?
The topic has been locked.
More
12 years 4 months ago #187 by Aquasonick
Hello!!

Help solve the problem.
See screenshot:

Template: rt_mixxmag_j15
joomla: 1.5.20

What can you recommend?
Thanks in advance.
The topic has been locked.
More
12 years 4 months ago #188 by xillibit

I don't provide support by PM, because this can be useful for someone else.
The topic has been locked.
More
12 years 4 months ago #189 by sozzled
Topic merged.

Aquasonick: Because you are using a Rockettheme template, please pay particular attention to the suggestions made by Rockettheme (contained earlier in this topic) in tackling the issue of the "disappearing BBcode toolbar"
The topic has been locked.
More
12 years 4 months ago - 12 years 4 months ago #190 by F0l2saken

Aquasonick wrote: Hello!!

Help solve the problem.
See screenshot:


Template: rt_mixxmag_j15
joomla: 1.5.20

What can you recommend?
Thanks in advance.


If you use use the rocket nav menu forget about it, it will not work with the moo tools upgrade, you either have to get rid of the nice menu on every part of your page to use the BB codes window on kunena, or just don't use the kunena BB codes.

See this forum post, they still can't figure out how to get it to work, moo tools 1.24 causes more problems than it's worth.

www.rockettheme.com/forum/index.php?f=20...art=0&rb_v=viewtopic

Keep checking that topic if you use any rocket theme, when they figure it out (Probably with an updatea) it'll fix it

I have an idea for how to fix this moo tools problem, is there ANY way to make kunena load the moo tools plugin on it's own? Can I disable the moo tools plugin in the system admin and have kunena and just kunena use it?

I've tried using compatible libraries, I've tried using the moo tools 1.25 with the 1.1 classes, nothing works.

Well I can get either the bb code to work on kunena, or I can disable the moo tools plugin and have everything else on my website work.
Last edit: 12 years 4 months ago by F0l2saken.
The topic has been locked.
Time to create page: 0.360 seconds